Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.suggestion.util
Class WeightEnum

    java.lang.Object
      com.verisign.epp.codec.suggestion.util.Enum
          com.verisign.epp.codec.suggestion.util.WeightEnum

All Implemented Interfaces:
  java.io.Serializable

    public class WeightEnum

extends Enum

An enumeration of the types of weights. This is used only to generate random commands for the unit test. The server can add or remove weights so this list is not authoritative.

Author:
  jcolosi
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.verisign.epp.codec.suggestion.util.Enum
`key, NONE, NONE_STRING`

Constructor Summary
`WeightEnum()` Constructor.
`WeightEnum(java.lang.String aValue)` Constructor.

Method Summary
`java.lang.Object` | `clone()`
`java.lang.String[]` | `getData()` Get the possible enum data.
`static java.lang.String` | `getRandomString()` Return a random enum value.

Methods inherited from class com.verisign.epp.codec.suggestion.util.Enum
`equals, get, isSet, set, set, toLogString, toString, unset`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WeightEnum

    public WeightEnum()

  Constructor.

### WeightEnum

    public WeightEnum(java.lang.String aValue)
               throws InvalidValueException

  Constructor.

  Parameters:
    `aValue` - a value
  Throws:
    `InvalidValueException`

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Specified by:
    `clone` in class `Enum`
  Throws:
    `java.lang.CloneNotSupportedException`

### getData

    public java.lang.String[] getData()

  Description copied from class: `Enum`
  Get the possible enum data.

  Specified by:
    `getData` in class `Enum`
  Returns:
    enum data

### getRandomString

    public static java.lang.String getRandomString()

  Return a random enum value.

  Returns:
    a random enum value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.